# Das kleine 1x1 der sicheren Computernutzung

## System-Setup

### Grundlagen

* Jeder Desktop oder Laptop ist ein Computer und jeder Computer kann ein Server werden
  (General Purpose Computing)
  * Abhängig ist das von der installierten und laufenden Software.
* Scope: persönliche Rechentechnik
  * Desktop-PCs
  * Laptops
  * Smartphones
  * Tablets
  * Heimserver (z.B.: NAS)
* Alles, was man euch wegtragen kann, gehört verschlüsselt.
  * Das gilt insbesondere Laptops, da mobil.

#### Basiselemente laut BSI

* Updates
* Passwörter
  * Passwortmanager
* 2FA
* Virenschutz
* Firewall

### Festplattenverschlüsselung/Encryption

* Klassischewrweise in der Linux-Welt verbreitet: LUKS
* Die meisten Linux-Distribution bieten Festplattenverschlüsselung im Installer an (z.B.: Fedora,
  Debian, OpenSUSE)

### Passwortmanager

* Das beste Passwort ist das, das man selbst nicht kennt
* Online Passwortmanager **TODO: Evaluierung: funktionieren die auch offline?**
* Online-Dienste:
  * 1Password
  * BitWarden
* Selfhosted:
  * Vaultwarden (BitWarden reimplementation)
* Offline
  * Datenbank kann, wenn verschlüsselt, über Sync-Dienste (insbesondere selfhosted) zwischen
    Geräten geteilt werden

### Datensicherung/Backups

* Macht Backups!
* verschlüsseln! (s. o.)
* mehrere Mechanismen:
  * externe Festplatte/USB-Stick als Speicher
  * Netzwerkbasiert (Heimserver oder entfernter Server)
  * Cloudbasierte Speicher sind mit Vorsicht zu genießen (Verschlüsseln!)
    * Tarsnap (Motto: Online backups fpr the truly paranoid)
    * SpiderOak
    * Selfhosted/Managed Nextcloud
* praktische Beispiele mit GUI (Duplicati, Déjà Dup, TimeShift)

### Datensicherheit/Updates

* Macht Updates!
* Wenn ihr nicht aufgrund von $Spezialsoftware für den täglichen Einsatz auf Windows gebunden seit,
  gibt es keinen triftigen Grund noch Windows zu benutzen.
  * Separation fo Concerns betreiben: $Spezialsoftware bekommt ihren eigenen Rechner,
    der explizit nur das tut. Alles andere zieht auf ein Linux um.

### Virenschtz

* Email-Anhänge mit Bedacht öffnen
* ClamAV, wenn unbedingt nötig

### Firewall

* Firewall bei Desktop-Linux kaum von Bedeutung
  * Wer darauf Wert legt, finden Distributionsspezifische Anleitungen im zuhauf im Internet
* Sobald ihr aber öffentlich erreichbare Server betreibt (Nginx, Apache, OpenSSH-Server, …) ist
  eine Firewall nötig.

## Endanwendungen

### Email

* Email ist ein altes Protokol, dass aus einer anderen Zeit stammt
  * GnuPG
* Große Anhänge lieber auf Cloudspeicher laden und Links per Email verschicken.

### Email- und Kalender-Client

* Thunderbird

### Chat

* Pidgin (Multi-Protocol)
* Gajim/Conversations (XMPP)
  * OMEMO is a must

### Browser

* Chrome -> Chromium/Iridium


### Software-Alternativen finden

* [AlternativeTo](https://alternativeto.net)
* [Prism Break](https://prism-break.org/en/) -- Leider etwas veraltet

## Online-Dienste

### Suchmaschinene

* Nein: Google, Yahoo, Bing -> DuckDuckGo, ixQuick, yacy

### Code Hosting

* Nein: GitHub -> GitLab, CodeBerg

### Online Office

* Google Docs -> Collabora online (In NextCloud inkludierbar)

### VPN

Here be rabbits!
